### A free/open-source library for quantitative finance

Classes | Variables
ql/termstructures/credit/probabilitytraits.hpp File Reference

default-probability bootstrap traits More...

`#include <ql/termstructures/credit/interpolatedsurvivalprobabilitycurve.hpp>`
`#include <ql/termstructures/credit/interpolatedhazardratecurve.hpp>`
`#include <ql/termstructures/credit/interpolateddefaultdensitycurve.hpp>`
`#include <ql/termstructures/bootstraphelper.hpp>`
Include dependency graph for probabilitytraits.hpp:

## Classes

struct | SurvivalProbability
| Survival-Probability-curve traits. More...
struct | HazardRate
| Hazard-rate-curve traits. More...
struct | DefaultDensity
| Default-density-curve traits. More...

## Variables

const Real | avgHazardRate = 0.01
const Real | maxHazardRate = 1.0

## Detailed Description

default-probability bootstrap traits